aim4.im.v2i.reservation

## Class ReservationGridManager.Query

- java.lang.Object
- - aim4.im.v2i.reservation.ReservationGridManager.Query

- Enclosing class:
    ReservationGridManager

      public static class ReservationGridManager.Query
      extends Object

  The reservation grid manager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservationGridManager.Query(int vin, double arrivalTime, double arrivalVelocity, int arrivalLineId, int departureLaneId, Request.VehicleSpecForRequestMsg spec, double maxTurnVelocity, boolean accelerating)` Create a query.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArrivalLaneId()` Get the arrival lane ID.
    `double` | `getArrivalTime()` Get the arrival time.
    `double` | `getArrivalVelocity()` Get the arrival velocity.
    `int` | `getDepartureLaneId()` Get the departure lane ID.
    `double` | `getMaxTurnVelocity()` Get the maximum turn velocity.
    `Request.VehicleSpecForRequestMsg` | `getSpec()` Get the specification of the vehicle for the request message.
    `int` | `getVin()` Get the VIN of a vehicle.
    `boolean` | `isAccelerating()` Whether the vehicle is allowed to accelerate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationGridManager.Query

          public ReservationGridManager.Query(int vin,
                                      double arrivalTime,
                                      double arrivalVelocity,
                                      int arrivalLineId,
                                      int departureLaneId,
                                      Request.VehicleSpecForRequestMsg spec,
                                      double maxTurnVelocity,
                                      boolean accelerating)

      Create a query.
      Parameters:
        `vin` - the VIN of the vehicle
        `arrivalTime` - the arrival time
        `arrivalVelocity` - the arrival velocity
        `arrivalLineId` - the arrival lane ID
        `departureLaneId` - the departure lane ID
        `spec` - the vehicle specification
        `maxTurnVelocity` - the maximum turn velocity
        `accelerating` - Whether the acceleration is allowed

  - ### Method Detail

    - #### getVin

          public int getVin()

      Get the VIN of a vehicle.
      Returns:
        the VIN of a vehicle

    - #### getArrivalTime

          public double getArrivalTime()

      Get the arrival time.
      Returns:
        the arrival time

    - #### getArrivalVelocity

          public double getArrivalVelocity()

      Get the arrival velocity.
      Returns:
        the arrival velocity

    - #### getArrivalLaneId

          public int getArrivalLaneId()

      Get the arrival lane ID.
      Returns:
        the arrival lane ID

    - #### getDepartureLaneId

          public int getDepartureLaneId()

      Get the departure lane ID.
      Returns:
        the departure lane ID

    - #### getSpec

          public Request.VehicleSpecForRequestMsg getSpec()

      Get the specification of the vehicle for the request message.
      Returns:
        the specification of the vehicle

    - #### getMaxTurnVelocity

          public double getMaxTurnVelocity()

      Get the maximum turn velocity.
      Returns:
        the maximum turn velocity

    - #### isAccelerating

          public boolean isAccelerating()

      Whether the vehicle is allowed to accelerate.
      Returns:
        whether the vehicle is allowed to accelerate

Copyright © 2013. All rights reserved.